> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cativa.digital/llms.txt
> Use this file to discover all available pages before exploring further.

# [Authenticated] List events



## OpenAPI

````yaml /openapi/tenant.json get /api/v2/community/events
openapi: 3.0.1
info:
  title: Cativa Tenant API (public)
  version: public
servers:
  - url: https://apis.cativalab.digital/tenant
security: []
paths:
  /api/v2/community/events:
    get:
      tags:
        - Event
      summary: '[Authenticated] List events'
      operationId: GetEvents
      parameters:
        - name: page
          in: query
          required: true
          schema:
            type: integer
            format: int32
        - name: pageSize
          in: query
          required: true
          schema:
            type: integer
            format: int32
        - name: search
          in: query
          schema:
            type: string
        - name: from
          in: query
          schema:
            type: string
            format: date-time
        - name: to
          in: query
          schema:
            type: string
            format: date-time
        - name: badgeId
          in: query
          schema:
            type: string
            format: uuid
        - name: courseId
          in: query
          schema:
            type: string
            format: uuid
        - name: groupId
          in: query
          schema:
            type: string
            format: uuid
        - name: status
          in: query
          schema:
            $ref: >-
              #/components/schemas/Cativa.Community.Event.Domain.Enums.EEventStatus
        - name: showInMarquee
          in: query
          schema:
            type: boolean
      responses:
        '200':
          description: OK
      security:
        - Bearer: []
components:
  schemas:
    Cativa.Community.Event.Domain.Enums.EEventStatus:
      enum:
        - 0
        - 1
        - 2
      type: integer
      format: int32
  securitySchemes:
    Bearer:
      type: http
      description: >-
        Partner API key (cativa_...) or a JWT, sent as: Authorization: Bearer
        <token>.
      scheme: bearer
      bearerFormat: JWT

````